<?php 
//dpm($node);
phptemplate_comment_wrapper(NULL, $node->type); 
?>
<div class="comms">

<div id="node-<?php print $node->nid; ?>" class="node<?php if ($sticky) { print ' sticky'; } ?><?php if (!$status) { print ' node-unpublished'; } ?>">
<div class="message"></div>

<div class="main-info">
<?php if ($page == 0): 
// If we have vote_up_down installed, and it is configured for comms nodes,
// then we should print out the widget here.  This code is taken directly
// from vote_up_down.module::hook_nodeapi()
$node_type = in_array(
  $node->type, variable_get('vote_up_down_node_types', array()), TRUE);

if ($node_type) {
  // @todo This should probably be some themeable function.
  print comms_vote_widget($node->nid, 'node');
}
?>
<?php endif; ?>
  
  <h2><a href="/node/<?php print $node->nid ?>/edit" title="<?php 
  print empty($node->sms_message) ?  $node->title : $node->sms_message;
  ?>"><?php 
  print empty($node->sms_message) ? $node->title : $node->sms_message;
  ?></a></h2>

  <?php if ($submitted): ?>
    <span class="submitted"><?php print t('submitted: !date by !username', array('!username' => theme('username', $node), '!date' => format_date($node->created))); ?></span>
  <?php endif; ?>

  <?php if ($dispatched = comms_has_been_dispatched($node->nid)): ?>
    <?php 
      $row = db_fetch_array($dispatched); 
      $og_groups = $node->og_groups_both ? $node->og_groups_both : array();
      $groups = array();
      foreach ($og_groups as $nid => $name) {
        $groups[] = '<a href="/node/'. $nid .'">'. $name .'</a>';
      }
    ?>
    <br /><span class="dispatched"><?php print t('dispatched: !date to: !groups', array('!groups' => implode(',', $groups), '!date' => $row['dispatch_time'])); ?></span>
  <?php 
    elseif(user_access('edit comms data')): 
  ?>
    <div class="dispatch">
<?php 
      if (!empty($node->og_groups_both)) {
        foreach ($node->og_groups_both as $nid => $name) {
          $groups[] = '<a id="'. $nid .'" href="/node/'. $nid .'">'. $name .'</a>';
        }
      }
      print drupal_get_form('comms_dispatch_node_'. $node->nid, 'node', $node->nid);
      print '<div class="info">'. t('to: !groups', array('!groups' => (empty($groups) ? '' : implode(',', $groups)))) .'</div>';
    ?>
    </div>
  <?php elseif(count($node->og_groups_both)>0): ?>
    <br /><span class="dispatch pending">
    <?php 
      foreach ($node->og_groups_both as $nid => $name) {
        $groups[] = '<a id="'. $nid .'" href="/node/'. $nid .'">'. $name .'</a>';
      }
      print t('dispatch pending to: !groups', array('!groups' => implode(',', $groups)));
    ?>
    </span>
  <?php endif; ?>
  <span class="notes"><?php if (strcmp($node->sms_message, $node->notes)) { print t('!notes', array('!notes' => $node->notes)); } ?></span>
</div>
<div class="supporting-info">
    
  <?php print $content ?>
</div>

  <div class="clear-block clear">
    <div class="meta">
    <?php if ($taxonomy): ?>
      <div class="terms"><?php print $terms ?></div>
    <?php endif;?>
    </div>

    <?php if ($links): ?>
      <div class="links"><?php print $links; ?></div>
    <?php endif; ?>
  </div>

</div>
</div>
